module.exports = {
  create: {
    requestBody: ['!user_id', '!company_id', '!company_name', '!longitude', '!latitude', '!name', '!card', '!is_class', 'company_service_object_name', 'company_service_object_id'],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  // 没有修改
  // update: {
  //   params: ["!id"],
  //   requestBody: [],
  // },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        user_id: 'user_id',
        company_id: 'company_id',
        name: 'name',
        card: 'card',
        is_class: 'is_class',
        company_service_object_name: 'company_service_object_name',
        company_service_object_id: 'company_service_object_id',
        'time@start': 'meta.createdAt@start',
        'time@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      asc: true,
      count: true,
      // projection: { name: 1, longitude: 1, latitude: 1, is_class: 1, meta: 1 },
    },
  },
  map: {
    parameters: {
      query: {
        user_id: 'user_id',
        company_id: 'company_id',
        company_name: 'company_name',
        name: 'name',
        card: 'card',
        is_class: 'is_class',
        company_service_object_name: 'company_service_object_name',
        company_service_object_id: 'company_service_object_id',
        'time@start': 'meta.createdAt@start',
        'time@end': 'meta.createdAt@end',
      },
    },
  },
};
