'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 工牌缓存表
const cardCache = {
  vid: { type: String }, // 工牌id
  vKey: { type: String }, // 工牌授权码
  work_card: { type: String }, // 工牌id
  remark: { type: String },
};
const schema = new Schema(cardCache, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ vid: 1 });
schema.index({ work_card: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('CardCache', schema, 'card_cache');
};
