'use strict';
const _ = require('lodash');
const moment = require('moment');
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { ObjectId } = require('mongoose').Types;
const fs = require('fs');
class UtilService extends CrudService {
  constructor(ctx) {
    super(ctx);
    this.mq = this.ctx.mq;
  }
  async utilMethod(query, body) {
  }


  dealQuery(query) {
    return this.turnFilter(this.turnDateRangeQuery(query));
  }

  /**
   * 将查询条件中模糊查询的标识转换成对应object
   * @param {Object} filter 查询条件
   */
  turnFilter(filter) {
    const str = /^%\S*%$/;
    const keys = Object.keys(filter);
    for (const key of keys) {
      const res = key.match(str);
      if (res) {
        const newKey = key.slice(1, key.length - 1);
        filter[newKey] = new RegExp(filter[key]);
        delete filter[key];
      }
    }
    return filter;
  }
  /**
   * 将时间转换成对应查询Object
   * @param {Object} filter 查询条件
   */
  turnDateRangeQuery(filter) {
    const keys = Object.keys(filter);
    const times = [];
    for (const k of keys) {
      if (k.includes('@')) {
        const karr = k.split('@');
        if (karr.length === 2) {
          const prefix = karr[0];
          const type = karr[1];
          if (type === 'start') {
            if (filter[k] && filter[k] !== '') {
              const obj = { key: prefix, opera: '$gte', value: new Date(filter[k]) };
              times.push(obj);
            }
          } else {
            if (filter[k] && filter[k] !== '') {
              const obj = { key: prefix, opera: '$lte', value: new Date(filter[k]) };
              times.push(obj);
            }
          }
          delete filter[k];
        }
      }
    }
    for (const i of times) {
      const { key, opera, value } = i;
      if (!filter[key]) {
        filter[key] = {};
      }
      filter[key][opera] = value;
    }
    return filter;
  }

}
module.exports = UtilService;
